KDE 4.2 PyKDE API Reference

- KDE's Python API

# DBusNodeIterator Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano.NodeIterator → Iterator<Node>
Namespace: Soprano::Client

## Detailed Description

\class DBusNodeIterator dbusnodeiterator.h Soprano/Client/DBusNodeIterator

Interface to a DBus server node iterator.

The DBusNodeIterator provides a fully functional interface to a NodeIterator provided through a %Soprano D-Bus server. It can thus, be seen as the counterpart to Server.DBusExportIterator.

Given the DBus service name and the object path of the NodeIterator in question it handles all DBus communication transparently.

Normally there is no need to use this class directly as DBusModel does create instances of it on request.

Author:
  Sebastian Trueg <trueg@kde.org>

\sa soprano_server_dbus

Since:
  2.1

## Methods

| __init__ (self, QString serviceName, QString dbusObject)

## Method Documentation

__init__ | ( | self, |
|  | QString | serviceName,
|  | QString | dbusObject
| ) |  |  |

Create a new DBus NodeIterator interface.

Parameters:

  | serviceName | The name of the DBus service that provides the NodeIterator.

Parameters:

  | dbusObject | The path to the NodeIterator object in the DBus service.